Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jsystems.framework.common.exception
Class ValidateNotSupportedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  de.jsystems.tools.exception.BaseRuntimeException
                      de.jsystems.framework.common.exception.ValidateNotSupportedException

All Implemented Interfaces:
  Serializable

public class ValidateNotSupportedException
extends BaseRuntimeException

Diese Exception wird ausgeloest, wenn die Eingaben in einer View validiert werden sollen, aber entweder kein Validierungsobjekt oder kein Item in der View gesetzt wurde.

Version:
  1.0
  Copyright by Jens Homm 2000 - 2004
Author:
  Jens Homm JSYSTEMS
See Also:
  Serialized Form

Field Summary

Fields inherited from class de.jsystems.tools.exception.BaseRuntimeException
`LEVEL_WARNING, LOG_OFF, LOG_ON`

Fields inherited from class java.lang.RuntimeException
``

Constructor Summary
`ValidateNotSupportedException(String message)` Erzeugt eine neue ValidateNotSupportedException mit dem uebergebenen Fehlertext.

Methods inherited from class de.jsystems.tools.exception.BaseRuntimeException
`getLevel, getOrigin, getOriginMessage, getSource, logException, logException, showMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ValidateNotSupportedException

    public ValidateNotSupportedException(String message)

  Erzeugt eine neue ValidateNotSupportedException mit dem uebergebenen Fehlertext.

Parameters:
  `message` - Der Fehlertext fuer die Exception.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD